Commit 24c2ee24 authored by Yann Garcia's avatar Yann Garcia
Browse files

Bug fixed in docker scripts

parent 2531c40a
...@@ -5,18 +5,28 @@ ...@@ -5,18 +5,28 @@
set -e set -e
set -vx set -vx
# Temporary: Remove TTF002 image # Docker login
docker image rm --force ttf002_its if [ $# -eq 2 ]
then
docker login --username $1 --password $2
fi
#check and build stfubuntu image #check and build stfubuntu image
if [ -z `docker images -q stfubuntu` ]; then if [ -z `docker images -q stfubuntu` ]; then
docker build --no-cache --tag stfubuntu:18.04 -f Dockerfile.stfubuntu --force-rm . || exit 1 docker build --no-cache --tag stfubuntu:18.04 -f Dockerfile.stfubuntu --force-rm . || exit 1
fi fi
docker build --no-cache --tag ttf002_its --force-rm . || ( echo "Docker build failed: $?"; exit 1 ) TAG=etsiforge/titan-its-its
# Temporary: Remove TTF002 image
docker image rm --force $TAG
docker build --no-cache --tag $TAG --force-rm . || ( echo "Docker build failed: $?"; exit 1 )
docker images docker images
docker inspect ttf002_its:latest || ( echo "Docker inspect failed: $?"; exit 1 ) docker inspect $TAG || ( echo "Docker inspect failed: $?"; exit 1 )
docker push $TAG:latest
# That's all Floks # That's all Floks
exit 0 exit 0
...@@ -3,7 +3,7 @@ ...@@ -3,7 +3,7 @@
#set -e #set -e
set -vx set -vx
echo -e "*****************************\n* Checkout STF569 sources\n*****************************\n" echo -e "*****************************\n* Checkout TTF002 sources\n*****************************\n"
cd ${HOME}/dev || exit 1 cd ${HOME}/dev || exit 1
git clone --recurse-submodules -b TTF0002 --single-branch https://forge.etsi.org/gitlab/ITS/ITS.git TTF0002_Its git clone --recurse-submodules -b TTF0002 --single-branch https://forge.etsi.org/gitlab/ITS/ITS.git TTF0002_Its
...@@ -17,14 +17,6 @@ chmod 775 *.bash devenv.bash.* ...@@ -17,14 +17,6 @@ chmod 775 *.bash devenv.bash.*
cd /home/etsi cd /home/etsi
ln -sf /home/etsi/dev/TTF0002_Its/scripts/devenv.bash.ubuntu /home/etsi/devenv.bash ln -sf /home/etsi/dev/TTF0002_Its/scripts/devenv.bash.ubuntu /home/etsi/devenv.bash
ls -ltr /home/etsi ls -ltr /home/etsi
export HOME=/home/etsi
. /home/etsi/devenv.bash
cd /home/etsi/dev/TTF0002_Its/scripts
./build_titan.bash
. /home/etsi/devenv.bash
./update_mec_project.bash
cd /home/etsi/dev/etsi_mec/src/AtsMec/objs
../bin/mec_generate_makefile.bash
echo -e "*****************************\n* Init Workspace\n*****************************\n" echo -e "*****************************\n* Init Workspace\n*****************************\n"
mkdir -p ${HOME}/dev/Workspace/TTF0002/bin/asn1 mkdir -p ${HOME}/dev/Workspace/TTF0002/bin/asn1
......
...@@ -3,9 +3,12 @@ ...@@ -3,9 +3,12 @@
#set -e #set -e
set -vx set -vx
echo -e "*****************************\n* Install test suites\n*****************************\n" echo -e "*****************************\n* Change user in cfg files\n*****************************\n"
. /home/etsi/devenv.bash . /home/etsi/devenv.bash
cd ${HOME}/dev/TTF0002_Its/scripts || exit 1 cd ${HOME}/dev/TTF0002_Its/scripts || exit 1
./update_user_name.sh || exit 1
echo -e "*****************************\n* Install test suites\n*****************************\n"
./update_its_project.bash || exit 1 ./update_its_project.bash || exit 1
echo -e "*****************************\n* Build test suites\n*****************************\n" echo -e "*****************************\n* Build test suites\n*****************************\n"
...@@ -18,8 +21,6 @@ do ...@@ -18,8 +21,6 @@ do
cd ../.. cd ../..
done done
echo -e "*****************************\n* Run test suites\n*****************************\n"
cd ${HOME} cd ${HOME}
exit 0 exit 0
...@@ -10,7 +10,7 @@ ...@@ -10,7 +10,7 @@
USER_NAME='s/vagrant/etsi/g' USER_NAME='s/vagrant/etsi/g'
for i in `find /home/etsi/dev/TTF0002_Its -name "*.cf*"` for i in `find /home/etsi/dev/TTF0002_Its -name "*.cf*"`
do do
sed --in-place "${USER_NAME}" $i sed --in-place ${USER_NAME} $i
done done
exit 0 exit 0
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment